Skip to main content
GET
/
order
/
payment-session
/
{sessionId}
Get agent payment session
curl --request GET \
  --url https://uat-api.clinkbill.com/api/order/payment-session/{sessionId} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "sessionId": "<string>",
    "customerEmail": "<string>",
    "customerId": "<string>",
    "amount": 123,
    "currency": "<string>",
    "merchantId": "<string>",
    "tenantId": "<string>",
    "createTime": "2023-11-07T05:31:56Z",
    "expireTime": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Path Parameters

sessionId
string
required

Response

OK

code
integer<int32>
msg
string
data
object